Manage Redis service when the cache store is set to Redis
02/02/2023 02:12 PM - Ewoud Kohl van Wijngaarden
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.6.0
Triaged: Yes Found in Releases:
Bugzilla link: 2165092 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/1109

Description

By default the Redis cache URL is hardcoded to redis://localhost:8479/0, unless specified explicitly. It would be better to
automatically set up Redis and determine the port from that. We already have a Redis instance for Dynflow, so it wouldn't be much
overhead.

Associated revisions

Revision dfa6a869 - 02/16/2023 01:07 PM - Ewoud Kohl van Wijngaarden

Fixes #36037 - Manage Redis service for Redis cache

This automatically manages Redis when the cache store type is set to
Redis, but no URLs have been provided. It's assumed that when a URL is
provided that the service is managed in another way.

This ignores the edge case where the user wants to run it on localhost,
but with a different database than 0.

History

#1 - 02/02/2023 02:17 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1109 added

#2 - 02/17/2023 11:10 AM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#3 - 02/17/2023 12:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|dfa6a869710b317157a225f4fa323dc196b1b738.

#4 - 02/28/2023 02:59 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
